export type AttributeMutationRecordLike = Pick<MutationRecord, 'type' | 'attributeName' | 'oldValue'> & {
    target: unknown;
};
export declare function didAttributePresenceChange(mutation: AttributeMutationRecordLike): boolean;
export declare function didStyleDeclarationSetChange(mutation: AttributeMutationRecordLike, filter?: (name: string) => boolean): boolean;
export declare function didCustomStyleDeclarationSetChange(mutation: AttributeMutationRecordLike): boolean;
